# Class T8GIRegion

##### Index

### Constructors

constructor

### Properties

bboxMax
bboxMin
name
population
worldCoordinateSystem

### Methods

create

## Constructors

### constructor

- new T8GIRegion(
  name: string,
  population: number,
  bboxMin: [number, number, number],
  bboxMax: [number, number, number],
  worldCoordinateSystem: Float32Array,
  ): T8GIRegion

  #### Parameters

  - name: string
  - population: number
  - bboxMin: [number, number, number]
  - bboxMax: [number, number, number]
  - worldCoordinateSystem: Float32Array

  #### Returns T8GIRegion

## Properties

### `Readonly` bboxMax

bboxMax: [number, number, number]

### `Readonly` bboxMin

bboxMin: [number, number, number]

### `Readonly` name

name: string

### `Readonly` population

population: number

### `Readonly` worldCoordinateSystem

worldCoordinateSystem: Float32Array

## Methods

### `Static` create

- create(dto: T8GIRegionDTO): T8GIRegion

  #### Parameters

  - dto: T8GIRegionDTO

  #### Returns T8GIRegion